@charset "UTF-8";
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

.main .firstform .amount, .main .firstform .type {
  background-color: rgba(237, 237, 237, 0.804);
  border-radius: 20px;
  font-size: 16px;
  font-weight: 350;
  color: #112250;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.7% 2% 0.7% 2%;
}

.main .masblock .formsmas .formstanki, .main .masblock .formsmas .masstanki, .main .linblock .formslin .block .form-fields {
  background-color: rgba(237, 237, 237, 0.804);
  border-radius: 20px;
  width: 32%;
  padding: 2%;
  padding-top: 1%;
  margin-bottom: 2%;
}
.main .masblock .formsmas .formstanki input, .main .masblock .formsmas .masstanki input, .main .linblock .formslin .block .form-fields input {
  flex-basis: 12%;
  width: 100%;
  margin-right: 3%;
  padding: 1% 0.5%;
  border: rgb(228, 228, 228) 1px solid;
  border-radius: 4px;
}
.main .masblock .formsmas .formstanki .input-span, .main .masblock .formsmas .masstanki .input-span, .main .linblock .formslin .block .form-fields .input-span {
  display: flex;
  align-items: flex-start;
  padding-bottom: 5%;
}
.main .masblock .formsmas .formstanki .input-span input[type=number]::-webkit-outer-spin-button, .main .masblock .formsmas .masstanki .input-span input[type=number]::-webkit-outer-spin-button, .main .linblock .formslin .block .form-fields .input-span input[type=number]::-webkit-outer-spin-button,
.main .masblock .formsmas .formstanki .input-span input[type=number]::-webkit-inner-spin-button,
.main .masblock .formsmas .masstanki .input-span input[type=number]::-webkit-inner-spin-button,
.main .linblock .formslin .block .form-fields .input-span input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.main .masblock .formsmas .formstanki .input-span .span-span, .main .masblock .formsmas .masstanki .input-span .span-span, .main .linblock .formslin .block .form-fields .input-span .span-span {
  flex-basis: 88%;
  display: flex;
  flex-direction: column;
}
.main .masblock .formsmas .formstanki .input-span .span-span .text-span, .main .masblock .formsmas .masstanki .input-span .span-span .text-span, .main .linblock .formslin .block .form-fields .input-span .span-span .text-span {
  font-size: 12px;
  font-weight: 300;
}
.main .masblock .formsmas .formstanki .name, .main .masblock .formsmas .masstanki .name, .main .linblock .formslin .block .form-fields .name {
  position: relative;
}
.main .masblock .formsmas .formstanki .name input, .main .masblock .formsmas .masstanki .name input, .main .linblock .formslin .block .form-fields .name input {
  border: none !important;
  background: none;
  text-align: center;
  font-weight: 600;
  font-size: 1.2rem;
  margin-bottom: 2%;
}
.main .masblock .formsmas .formstanki .name input::placeholder, .main .masblock .formsmas .masstanki .name input::placeholder, .main .linblock .formslin .block .form-fields .name input::placeholder {
  color: #747474;
}
.main .masblock .formsmas .formstanki .name .error, .main .masblock .formsmas .masstanki .name .error, .main .linblock .formslin .block .form-fields .name .error {
  position: absolute;
  bottom: 0;
}

.main .masblock, .main .linblock {
  width: 100%;
  display: none;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0 5%;
  padding-bottom: 5%;
}
.main .masblock .bottom, .main .linblock .bottom {
  width: 100%;
}
.main .masblock .bottom .submit, .main .linblock .bottom .submit {
  margin: 1% auto;
  display: block;
}
.main .masblock .bottom .errors_bottom, .main .linblock .bottom .errors_bottom {
  margin: 0 auto;
  width: max-content;
}

.main .firstform .submit, .main .masblock .submit, .main .linblock .submit {
  font-weight: 350;
  font-size: 16px;
  border-radius: 20px;
  border: none;
  padding: 0.7% 2% 0.7% 2%;
  background-color: rgba(12, 11, 11, 0.219);
  order: 100;
}
.main .firstform .submit:hover, .main .masblock .submit:hover, .main .linblock .submit:hover {
  cursor: pointer;
}

.main .masblock .smenimas, .main .masblock .formsmas, .main .linblock .smenilin {
  padding-bottom: 2%;
  width: 83%;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

.main .masblock .smenimas input, .main .linblock .smenilin input {
  flex-basis: 8%;
  width: 100%;
  padding: 0.5% 0.5%;
  border: rgb(228, 228, 228) 1px solid;
  border-radius: 4px;
}

.main .masblock .smenimas .formsmenimas, .main .linblock .smenilin .formsmenilin {
  height: max-content;
  background-color: rgba(237, 237, 237, 0.804);
  width: 49%;
  padding: 1% 2%;
  border-radius: 20px;
  margin-bottom: 2%;
}
.main .masblock .smenimas .formsmenimas .formsoper, .main .linblock .smenilin .formsmenilin .formsoper {
  display: flex;
  background-color: white;
  margin-bottom: 2%;
  border-radius: 13px;
}
.main .masblock .smenimas .formsmenimas .formsoper .number, .main .linblock .smenilin .formsmenilin .formsoper .number {
  align-self: center;
  padding: 0 3% 0 1%;
}
.main .masblock .smenimas .formsmenimas .formsoper .pokazatelioper1, .main .linblock .smenilin .formsmenilin .formsoper .pokazatelioper1 {
  display: flex;
  padding: 2% 0 2% 0;
}
.main .masblock .smenimas .formsmenimas .formsoper .pokazatelioper1 span, .main .linblock .smenilin .formsmenilin .formsoper .pokazatelioper1 span {
  padding-right: 3%;
}
.main .masblock .smenimas .formsmenimas .formsoper .pokazatelioper2, .main .linblock .smenilin .formsmenilin .formsoper .pokazatelioper2 {
  display: flex;
  padding-bottom: 2%;
}
.main .masblock .smenimas .formsmenimas .formsoper .pokazatelioper2 span, .main .linblock .smenilin .formsmenilin .formsoper .pokazatelioper2 span {
  padding-right: 3%;
}

.header {
  height: 100px;
  display: flex;
  align-items: center;
  font-size: 13.3px;
  padding: 0 30px;
}
.header a {
  font-weight: 400;
  padding: 10px 3%;
  text-decoration: none;
  color: #000;
}
.header .top-left {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  width: 50%;
  align-items: center;
}
.header .top-left .logo {
  padding: 0;
}
.header .top-left .logo .systevo {
  font-size: 25px;
  font-family: "Montserrat", sans-serif;
  font-weight: 800;
  color: #112250;
}
.header .top-left .btnmenu {
  margin-left: 21%;
  height: min-content;
}
.header .top-left .btnmenu:hover {
  border-radius: 20px;
  background-color: rgba(237, 237, 237, 0.804);
}
.header .top-right {
  width: 50%;
  display: flex;
  justify-content: flex-end;
  gap: 15%;
  align-items: center;
}
.header .top-right .btnkab {
  position: relative;
}
.header .top-right .btnkab:hover {
  border-radius: 20px;
  background-color: rgba(237, 237, 237, 0.804);
}
.header .top-right .btnkab .no_kab {
  display: none;
  font-size: 12px;
  width: 115px;
  border-radius: 15px;
  position: absolute;
  bottom: -80px;
  left: -50px;
  line-height: initial;
}
.header .top-right .btnkab .no_kab::after {
  content: "";
  width: 35px;
  height: 15px;
  border-left: 3px solid rgba(237, 237, 237, 0.804);
  border-bottom: 5px solid rgba(237, 237, 237, 0.804);
  position: absolute;
  top: 7px;
  right: 30px;
  background: rgba(237, 237, 237, 0.804);
  transform: skewX(348deg) skewY(-48deg);
}
.header .top-right .btnkab .no_kab .no_kab-in {
  text-align: center;
  background: rgb(241, 241, 241);
  border-radius: 12px;
  padding: 11px 0;
  position: relative;
  z-index: 2;
}
.header .top-right .btnkon:hover {
  border-radius: 20px;
  background-color: rgba(237, 237, 237, 0.804);
}

.delete {
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
  z-index: 999999;
  text-align: center;
  background: #ff3b30;
  color: white;
  padding: 12px 24px;
  border-radius: 8px;
  font-weight: bold;
  cursor: pointer;
  border: none;
}

.main {
  display: flex;
  flex-direction: column;
}
.main .firstform {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding: 2% 5%;
  justify-content: flex-start;
  gap: 1vw;
  flex-wrap: wrap;
}
.main .firstform .type label {
  margin-right: 2%;
  white-space: nowrap;
}
.main .firstform .type select {
  border: rgb(228, 228, 228) 1px solid;
  border-radius: 4px;
  font-weight: 350;
  padding: 0.5%;
  font-size: 15px;
  color: #112250;
}
.main .firstform input[type=number]::-webkit-outer-spin-button,
.main .firstform input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.main .firstform .amount {
  display: none;
  position: relative;
}
.main .firstform .amount span {
  margin-right: 2%;
  white-space: nowrap;
}
.main .firstform .amount input {
  width: 30px;
  border: rgb(228, 228, 228) 1px solid;
  border-radius: 4px;
  font-weight: 350;
  padding: 0.615%;
  font-size: 15px;
  padding-left: 1%;
}
.main .firstform .amount .error {
  position: absolute;
  bottom: 0;
  font-size: 0.9vw;
  color: red;
  right: 0;
}
.main .firstform .down {
  display: none;
}
.main .firstform:first-of-type {
  padding-bottom: 0;
}
.main .input-span, .main .pokazatelioper1, .main .pokazatelioper2 {
  position: relative;
}
.main .input-span .error, .main .pokazatelioper1 .error, .main .pokazatelioper2 .error {
  font-size: 0.9vw;
  color: red;
  position: absolute;
  bottom: 0;
}
.main .name .error {
  font-size: 0.9vw;
  color: red;
}
.main .kolvooper {
  position: relative;
  display: flex;
  flex-wrap: wrap;
}
.main .kolvooper span {
  padding-right: 3%;
}
.main .kolvooper .bottom {
  flex-wrap: nowrap;
  display: flex;
  padding-bottom: 2%;
  position: relative;
  width: 100%;
}
.main .kolvooper .bottom .error {
  color: red;
  position: absolute;
  font-size: 0.9vw;
  bottom: 0;
}
.main .kolvooper .bottom input {
  flex-basis: 8.22%;
}
.main .kolvooper .top {
  min-width: 100%;
}
.main .kolvooper .top input {
  border: none;
  background: none;
  text-align: center;
  font-weight: 600;
  font-size: 1.2rem;
  margin-bottom: 2%;
}
.main .kolvooper .top input::placeholder {
  color: #c2c2c2;
}
.main .kolvooper .top .error {
  position: absolute;
  top: calc(1.2rem + 4%);
  font-size: 0.9vw;
  color: red;
}
.main .sideblock {
  height: 70vh;
  position: sticky;
  top: 50px;
  width: 17%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 4%;
  justify-content: center;
}
.main .sideblock .sidebutton {
  width: 90%;
  display: flex;
  justify-content: center;
  padding: 9%;
  border-radius: 16px;
}
.main .sideblock .sidebutton:hover {
  cursor: pointer;
}
.main .linblock .sideblock .sidebutton_prvo_lin {
  background-color: rgba(12, 11, 11, 0.17);
}
.main .linblock .sideblock .sidebutton_smeni_lin {
  background-color: rgba(237, 237, 237, 0.804);
}
.main .linblock .formslin {
  width: 83%;
  height: 70vh;
  border-radius: 20px;
  overflow: hidden;
  touch-action: none;
  position: relative;
}
.main .linblock .formslin #toolbar {
  display: flex;
  gap: 10px;
  padding: 12px 17px;
  position: absolute;
  top: 15px;
  left: 15px;
  background: white;
  padding: 12px;
  border-radius: 8px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
  z-index: 1000;
}
.main .linblock .formslin #toolbar .toolbar_inside {
  display: flex;
}
.main .linblock .formslin #toolbar .toolbar_inside:hover {
  cursor: pointer;
}
.main .linblock .formslin #container {
  width: 100%;
  height: 100%;
  transform-origin: 0 0;
  transform: translate(var(--pan-x, 0px)) translate(var(--pan-y, 0px)) scale(var(--scale, 1));
  will-change: transform;
  cursor: grab;
  touch-action: none; /* важно для мобильных */
  box-shadow: rgba(0, 0, 0, 0.3) -4px -4px 40px -24px inset, rgba(0, 0, 0, 0.3) 4px 4px 40px -24px;
  background-image: radial-gradient(circle, #b0b0b0 0.1px, transparent 1.5px);
  background-size: 50px 50px;
  background-position: 0 0;
  background-color: rgb(247, 247, 247);
}
.main .linblock .formslin #container.dragging {
  cursor: grabbing;
}
.main .linblock .formslin #board {
  position: absolute;
  transform-origin: 0 0;
  will-change: transform;
}
.main .linblock .formslin .block {
  position: absolute;
  min-width: 120px;
  padding: 16px;
  background: #4285f4;
  color: white;
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
  cursor: move;
  user-select: none;
  text-align: center;
  font-size: 14px;
  transition: opacity 0.2s;
}
.main .linblock .formslin .block .form-fields {
  z-index: 999;
  width: 305px;
  background-color: #cfcfcf;
  padding: 20px;
  border-radius: 20px;
  font-size: 15px;
}
.main .linblock .formslin .block .form-fields .name input {
  margin-bottom: 4%;
  font-size: 20px;
}
.main .linblock .formslin .block .form-fields .input-span {
  text-align: initial;
  color: black;
}
.main .linblock .formslin .block .form-fields .input-span input {
  font-size: 16px;
  flex-basis: 17%;
}
.main .linblock .formslin .block .form-fields .input-span .span-span {
  flex-basis: 83%;
}
.main .linblock .formslin .block .form-fields .input-span .span-span .text-span {
  font-size: 14px;
}
.main .linblock .formslin .block .form-fields .save-block {
  font-weight: 350;
  border-radius: 9px;
  border: none;
  padding: 5px 21px;
  background-color: rgb(255, 255, 255);
  margin-top: 10px;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.15);
  font-size: 14px;
}
.main .linblock .formslin .block.dragging {
  opacity: 0.8;
  z-index: 1000;
}
.main .linblock .formslin .linform .hidden-menu-ticker {
  display: none;
}
.main .linblock .formslin .linform .btn-menu {
  z-index: 9;
  padding: 7px;
  position: absolute;
  top: 5px;
  right: 5px;
  cursor: pointer;
  width: 40px;
  transition: right 0.33s;
}
.main .linblock .formslin .linform .btn-menu span {
  border-radius: 10px;
  display: block;
  height: 2px;
  background-color: #868686;
  margin: 5px 0 0;
  position: relative;
}
.main .linblock .formslin .linform .hidden-menu {
  display: block;
  position: absolute;
  padding: 3%;
  padding-top: 5%;
  margin: 0;
  box-sizing: border-box;
  background: #cfcfcf;
  box-shadow: -0.5px -0.5px 35px 0px rgba(0, 0, 0, 0.05), 0.5px 0.5px 35px 0 rgba(0, 0, 0, 0.05);
  border-radius: 20px;
  top: 0;
  right: -350px;
  transition: right 0.3s;
  z-index: 8;
  width: 350px;
}
.main .linblock .formslin .linform .hidden-menu .input-span {
  display: flex;
  gap: 3%;
  align-items: flex-start;
  text-align: start;
  padding-bottom: 5%;
}
.main .linblock .formslin .linform .hidden-menu .input-span input[type=number]::-webkit-outer-spin-button,
.main .linblock .formslin .linform .hidden-menu .input-span input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.main .linblock .formslin .linform .hidden-menu .input-span .span-span {
  flex-basis: 82%;
  display: flex;
  flex-direction: column;
}
.main .linblock .formslin .linform .hidden-menu .input-span .span-span .text-span {
  font-size: 12px;
  font-weight: 300;
}
.main .linblock .formslin .linform .hidden-menu .input-span input {
  flex-basis: 15%;
  width: 100%;
  padding: 1% 0.5%;
  border: 1px solid rgb(176, 176, 176);
  border-radius: 4px;
}
.main .linblock .formslin .linform .hidden-menu-ticker:checked ~ .btn-menu {
  right: 300px;
}
.main .linblock .formslin .linform .hidden-menu-ticker:checked ~ .hidden-menu {
  right: 0;
}
.main .linblock .smenilin {
  display: none;
}
.main .linblock .smenilin input[type=number]::-webkit-outer-spin-button,
.main .linblock .smenilin input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.main .masblock .sideblock .sidebutton_prvo_mas {
  background-color: rgba(12, 11, 11, 0.17);
}
.main .masblock .sideblock .sidebutton_smeni_mas {
  background-color: rgba(237, 237, 237, 0.804);
}
.main .masblock .formsmas {
  height: fit-content;
  display: flex;
}
.main .masblock .formsmas .masstanki {
  padding-top: 2%;
}
.main .masblock .formsmas .formstanki .name input::placeholder {
  color: #c2c2c2;
}
.main .masblock .smenimas {
  display: none;
}
.main .masblock .smenimas input[type=number]::-webkit-outer-spin-button,
.main .masblock .smenimas input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.main .masblock .smenimas .formsmenimas .pokazatelismeni, .main .masblock .smenimas .formsmenimas .pokazatelismeni2 {
  display: flex;
  padding-bottom: 2%;
  position: relative;
}
.main .masblock .smenimas .formsmenimas .pokazatelismeni span, .main .masblock .smenimas .formsmenimas .pokazatelismeni2 span {
  padding-right: 3%;
}
.main .masblock .smenimas .formsmenimas .pokazatelismeni .error, .main .masblock .smenimas .formsmenimas .pokazatelismeni2 .error {
  position: absolute;
  bottom: 0;
  font-size: 0.9vw;
  color: red;
}